Cant make pgdesigner run

Help
2006-05-17
2013-04-24
  • Jiri Hlinka
    Jiri Hlinka
    2006-05-17

    Hi,
    i've installed PgDesigner 0.0.31 from RPM (from here http://rpm.pbone.net/index.php3/stat/4/idpl/2830272/com/pgDesigner-0.0.31.noarch.rpm.html\) on my Mandriva OS, then instaled Gambas (version 1.9.28 from www.kudla.org/rpm/2006.0/i586).
    When i tryed to run pgdesigner, error message apperas:
    gbx2: too many project files.

    Can you help me, please?
    Jirka

     
    • Carlotto Luigi
      Carlotto Luigi
      2006-05-17

      Hello,

      pgDesigner 0.0.31, supplied as binary rpm, is compiled with version 1.9.29 of Gambas; in your case it is necessary to download sources and to compile with the version of Gambas in your possession.

      At the moment the supplied binary as rpm is compiled on Fedora distribution and the construction of the packages is still in phase of study.

      Luigi

       
    • Jiri Hlinka
      Jiri Hlinka
      2006-05-17

      Thanks for your answer.
      I compilled Gambas v. 1.9.29, run pgdesigner, but this appears:
      [scorcher@stumpy work]$ pgdesigner
      bash: /usr/bin/pgdesigner: /usr/bin/gbx: bad interpreter: není souborem ani adresářem (this means isnt file or directory).
      So i symbol.linked /usr/local/bin/gbx2 to /usr/bin/gbx, but still appears this:
      [scorcher@stumpy dc]$ pgdesigner
      gbx2: too many project files.

      So i downloaded sources, unpack, but no help about how to compile it, so when i tryed to run pgDesigner.gambas, this message appears:
      [root@stumpy pgDesigner]# ./pgDesigner.gambas
      /usr/bin/env: gbr2: není souborem ani adresářem (means no file or directory)

      Please, can you help me run pgDesigner on my system? Or i shuold wait for further development versoin?
      Jirka

       
      • Carlotto Luigi
        Carlotto Luigi
        2006-05-18

        If you have installed Gambas2 1.9.29 from sources, you would have to follow the attached instructions for being able to compile the binary.
        In any case I point out you that the compilation demands various libraries, that you can download from updating your Linux system. The list of these libraries is employee from the distribution that he uses, for which would have to read the documentation on the situated official of Gambas.

        After to have compiled Gambas, you can:

        1) launch the Gambas2 application from the menu or from command line;
        2) you open the project trying the directory where you have decompressed pgDesigner;
        3) from the menu of Gambas you can execute directly pgDesigner, or you can create the eseguibile newly.

        It remembers that pgDesigner it can be launch in Italian or English; at the moment other languages are not previewed. For default pgDesigner one set offs in Italian, in order to change in English you must launch the eseguibile in this way pgDesigner:

           LANG=en_US /pgDesigner.gambas

        In the sources tar is the instructions for the formulation of the language.

        Notes: Regarding the version 1.0.x of Gambas, Gambas2 creates binary files ".gambas".
               pgDesigner must be used EXCLUSIVELY with Gambas2.

        If possible, it tries to write in English, otherwise I have difficulty to understand and to answer in correct way. Thanks.

        It makes to know the outcome me.

        By
        Luigi